Bug 920861 - Review Request: gnome-tetravex - GNOME Tetravex game
Review Request: gnome-tetravex - GNOME Tetravex game
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kalev Lember
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-03-12 18:13 EDT by Tanner Doshier
Modified: 2013-04-30 13:10 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-04-30 13:10:00 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
kalevlember: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Tanner Doshier 2013-03-12 18:13:33 EDT
Spec URL: http://doshitan.com/tmp/gnome-tetravex/gnome-tetravex.spec
SRPM URL: http://doshitan.com/tmp/gnome-tetravex/gnome-tetravex-3.7.90-1.fc19.src.rpm
Description: This is the GNOME Tetravex game

rpmlint:
gnome-tetravex.x86_64: E: incorrect-fsf-address /usr/share/doc/gnome-tetravex-3.7.90/COPYING
3 packages and 0 specfiles checked; 1 errors, 0 warnings.
Comment 1 Tanner Doshier 2013-04-02 18:45:52 EDT
3.8.0-1
- Update to 3.8.0
- Add high contrast icons

Spec URL: http://doshitan.com/tmp/gnome-tetravex/gnome-tetravex.spec
SRPM URL: http://doshitan.com/tmp/gnome-tetravex/gnome-tetravex-3.8.0-1.fc19.src.rpm
Comment 2 Kalev Lember 2013-04-13 20:44:09 EDT
Taking for review.

Koji scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=5249206
Comment 3 Kalev Lember 2013-04-13 20:53:52 EDT
Fedora review gnome-tetravex-3.8.0-1.fc19.src.rpm 2013-04-13

+ OK
! needs attention

rpmlint output:
$ rpmlint gnome-tetravex \
          gnome-tetravex-debuginfo-3.8.0-1.fc19.x86_64.rpm \
          gnome-tetravex-3.8.0-1.fc19.src.rpm
gnome-tetravex.x86_64: W: obsolete-not-provided gnome-games-gnotravex
gnome-tetravex.x86_64: E: incorrect-fsf-address /usr/share/doc/gnome-tetravex-3.8.0/COPYING
3 packages and 0 specfiles checked; 1 errors, 1 warnings.

+ Rpmlint warnings / errors are harmless and can be ignored
+ The package is named according to Fedora packaging guidelines
+ The spec file name matches the base package name.
+ The package meets the Packaging Guidelines
+ The package is licensed with a Fedora approved license and meets the
  Licensing Guidelines.
+ The license field in the spec file matches the actual license

  As with lightsoff, the package doesn't have proper license headers in the
  source code, but we have the information in About->License to go with.

+ The package contains the license file (COPYING)
+ Spec file is written in American English
+ Spec file is legible
+ Upstream sources match sources in the srpm. md5sum:
  dcf2828c746f451396f7a8d60939198a  gnome-tetravex-3.8.0.tar.xz
  dcf2828c746f451396f7a8d60939198a  Download/gnome-tetravex-3.8.0.tar.xz
+ The package builds in koji
n/a ExcludeArch bugs filed
+ BuildRequires look sane
+ The spec file handles locales properly
n/a ldconfig in %post and %postun
+ Package does not bundle copies of system libraries
n/a Package isn't relocatable
+ Package owns all the directories it creates
+ No duplicate files in %files
+ Permissions are properly set
+ Consistent use of macros
+ The package must contain code or permissible content
n/a Large documentation files should go in -doc subpackage
+ Files marked %doc should not affect package
n/a Header files should be in -devel
n/a Static libraries should be in -static
n/a Library files that end in .so must go in a -devel package
n/a -devel must require the fully versioned base
+ Packages should not contain libtool .la files
+ Proper .desktop file handling
+ Doesn't own files or directories already owned by other packages
+ Filenames are valid UTF-8

Looks good!

APPROVED
Comment 4 Tanner Doshier 2013-04-14 16:58:26 EDT
Using upstream's description blurb.

New Package SCM Request
=======================
Package Name: gnome-tetravex
Short Description: Complete the puzzle by matching numbered tiles
Owners: doshitan
Branches: f19
InitialCC:
Comment 5 Gwyn Ciesla 2013-04-15 09:56:24 EDT
Git done (by process-git-requests).
Comment 6 Tanner Doshier 2013-04-30 13:10:00 EDT
Forgot to close the bug. Imported and built in rawhide and f19.

Note You need to log in before you can comment on or make changes to this bug.